Subject: bug#31611: Add a property in packages to refresh to a specific version

From: Hartmut Goebel <[email-masked]>
Date: Wed, 20 Jun 2018 09:38:43 +0200

Am 19.06.2018 um 16:17 schrieb Marius Bakke:
> I'm not convinced that adding a property to some 80 packages is better
> than patching the importer.  To me this problem seems very
> importer-specific (knowing what releases are considered LTS).

I disagree this is imported specific. Imagine we would like to provide
different still supported versions of e.g. Python (3,.4, 3.5, 3.6, 3.7)
or openssl (1.0 and 1.1).

> As a middle ground, perhaps we could add a "--select" argument to guix
> import, e.g: "--select=REGEX    Only consider versions matching REGEX".

This would improve the current situation :-)

-- 

Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |